Bug 1728437 (CVE-2019-11729) - CVE-2019-11729 nss: Empty or malformed p256-ECDH public keys may trigger a segmentation fault
Summary: CVE-2019-11729 nss: Empty or malformed p256-ECDH public keys may trigger a se...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11729
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1733035 1733036 1777712 1780774 1780775 1781167 1781196 1781197 1804354 1804355 1804356 1862437 1862438 1862439
Blocks: 1729336
TreeView+ depends on / blocked
 
Reported: 2019-07-10 00:27 UTC by Doran Moppert
Modified: 2020-07-31 12:42 UTC (History)
44 users (show)

Fixed In Version: nss 3.45
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-31 01:18:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4214 None None None 2019-12-11 15:28:05 UTC
Red Hat Product Errata RHBA-2019:4218 None None None 2019-12-11 19:50:44 UTC
Red Hat Product Errata RHBA-2019:4219 None None None 2019-12-11 19:36:56 UTC
Red Hat Product Errata RHBA-2019:4220 None None None 2019-12-11 19:55:43 UTC
Red Hat Product Errata RHBA-2019:4221 None None None 2019-12-11 21:12:41 UTC
Red Hat Product Errata RHBA-2019:4223 None None None 2019-12-11 21:36:34 UTC
Red Hat Product Errata RHBA-2019:4226 None None None 2019-12-12 08:36:14 UTC
Red Hat Product Errata RHBA-2019:4227 None None None 2019-12-12 08:26:47 UTC
Red Hat Product Errata RHBA-2019:4228 None None None 2019-12-12 08:33:53 UTC
Red Hat Product Errata RHBA-2019:4241 None None None 2019-12-16 13:03:25 UTC
Red Hat Product Errata RHBA-2019:4306 None None None 2019-12-18 11:40:30 UTC
Red Hat Product Errata RHBA-2019:4307 None None None 2019-12-18 11:41:57 UTC
Red Hat Product Errata RHBA-2019:4308 None None None 2019-12-18 11:44:14 UTC
Red Hat Product Errata RHBA-2019:4309 None None None 2019-12-18 11:44:49 UTC
Red Hat Product Errata RHBA-2019:4310 None None None 2019-12-18 11:49:55 UTC
Red Hat Product Errata RHBA-2019:4311 None None None 2019-12-18 11:48:50 UTC
Red Hat Product Errata RHBA-2019:4313 None None None 2019-12-18 11:47:30 UTC
Red Hat Product Errata RHBA-2019:4314 None None None 2019-12-18 13:13:19 UTC
Red Hat Product Errata RHBA-2019:4315 None None None 2019-12-18 14:05:40 UTC
Red Hat Product Errata RHBA-2019:4318 None None None 2019-12-20 17:24:39 UTC
Red Hat Product Errata RHBA-2019:4322 None None None 2019-12-19 13:07:44 UTC
Red Hat Product Errata RHBA-2019:4323 None None None 2019-12-19 13:41:18 UTC
Red Hat Product Errata RHBA-2019:4324 None None None 2019-12-19 13:07:39 UTC
Red Hat Product Errata RHBA-2019:4332 None None None 2019-12-19 15:16:33 UTC
Red Hat Product Errata RHBA-2020:0001 None None None 2020-01-02 07:19:43 UTC
Red Hat Product Errata RHBA-2020:0021 None None None 2020-01-03 07:21:23 UTC
Red Hat Product Errata RHBA-2020:0034 None None None 2020-01-07 05:44:03 UTC
Red Hat Product Errata RHBA-2020:0035 None None None 2020-01-07 05:42:06 UTC
Red Hat Product Errata RHBA-2020:0039 None None None 2020-01-07 12:51:29 UTC
Red Hat Product Errata RHBA-2020:0040 None None None 2020-01-07 12:53:25 UTC
Red Hat Product Errata RHBA-2020:0044 None None None 2020-01-07 13:21:53 UTC
Red Hat Product Errata RHBA-2020:0052 None None None 2020-01-08 06:32:15 UTC
Red Hat Product Errata RHBA-2020:0075 None None None 2020-01-13 07:40:43 UTC
Red Hat Product Errata RHBA-2020:0080 None None None 2020-01-13 10:41:03 UTC
Red Hat Product Errata RHBA-2020:0211 None None None 2020-01-23 12:58:07 UTC
Red Hat Product Errata RHSA-2019:1951 None None None 2019-07-30 19:49:57 UTC
Red Hat Product Errata RHSA-2019:4190 None None None 2019-12-10 16:21:26 UTC

Description Doran Moppert 2019-07-10 00:27:35 UTC
Empty or malformed p256-ECDH public keys may trigger a segmentation fault due values being improperly sanitized before being copied into memory and used.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-22/#CVE-2019-11729

Comment 1 Doran Moppert 2019-07-10 00:27:38 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Jonas Allmann

Comment 5 Doran Moppert 2019-07-12 01:27:50 UTC
Statement:

Firefox on Red Hat Enterprise Linux is built against the system nss library.

Comment 7 errata-xmlrpc 2019-07-30 19:49:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1951 https://access.redhat.com/errata/RHSA-2019:1951

Comment 8 Product Security DevOps Team 2019-07-31 01:18:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11729

Comment 9 Joshua Padman 2019-07-31 05:13:00 UTC
This vulnerability is out of security support scope for the following product:
 * Red Hat Enterprise Application Platform 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 10 Mark Cooper 2019-10-08 01:18:39 UTC
The library nss-altfiles does not share any certificate code with nss. 
 * nss-altfiles only reads information from files in same format as /etc/passwd and /etc/group

Comment 12 errata-xmlrpc 2019-12-10 16:21:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:4190 https://access.redhat.com/errata/RHSA-2019:4190

Comment 16 Huzaifa S. Sidhpurwala 2019-12-20 05:09:26 UTC
Upstream commit: https://hg.mozilla.org/projects/nss/rev/dabfe1160c682b4d1d19c5a7a13ab3828bb9d37f
Upstream bug (currently private): https://bugzilla.mozilla.org/show_bug.cgi?id=1515342


Note You need to log in before you can comment on or make changes to this bug.